# PrRefService

> The PrRefService methods and their request and response messages.

Source: https://engramsfactory.com/docs/api/pr-ref/

Generated from [`pr_ref.proto`](https://github.com/cortexapps/engrams/blob/main/crates/engram-protocol/proto/engram/app/v1/pr_ref.proto). Every method is
`POST /rpc/engram.app.v1.PrRefService/<Method>` with a JSON or protobuf body and an
`x-api-key` header.

## Methods

| Method | Request | Response |
|---|---|---|
| `ListPrRefs` | [`ListPrRefsRequest`](#listprrefsrequest) | [`ListPrRefsResponse`](#listprrefsresponse) |

## Messages

### ListPrRefsRequest

| Field | Type |
|---|---|
| `task_id` | `string` (optional) |
| `session_id` | `string` (optional) |

### ListPrRefsResponse

| Field | Type |
|---|---|
| `pr_refs` | repeated [`PrRef`](#prref) |

### PrRef

| Field | Type |
|---|---|
| `id` | `string` |
| `repo` | `string` |
| `pr_number` | `int32` |
| `authoring_task_id` | `string` (optional) |
| `session_id` | `string` |
| `title` | `string` |
| `url` | `string` |
| `head_branch` | `string` |
| `base_branch` | `string` |
| `observed_at` | `google.protobuf.Timestamp` |
